Skip to main content
GET
/
recommendations
/
{recommendation_token}
Get recommendation by token
curl --request GET \
  --url https://api.vantage.sh/v2/recommendations/{recommendation_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/recommendations/{recommendation_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/recommendations/{recommendation_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "rcmmndtn_0eea161ff1a4d183",
  "type": null,
  "category": "ip_unattached",
  "workspace_token": "wrkspc_634a8ca67ed39555",
  "provider": "aws",
  "provider_account_id": "123456789012",
  "description": "IP address is not attached to an instance.",
  "documentation_url": "https://handbook.vantage.sh/aws/services/ec2-other-pricing/#stranded-resources",
  "potential_savings": "100.0",
  "service": "AWS IP",
  "created_at": "2026-01-28T16:53:23Z",
  "resources_affected_count": 0,
  "currency_code": "USD",
  "currency_symbol": "$"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

recommendation_token
string
required

Response

Recommendation model

token
string
required
type
string
required

The type of the Recommendation. This is analogous to category, but with a uniform format.

Example:

"aws:ec2:co-rightsizing"

category
string
required

The category of the Recommendation.

Example:

"ec2_compute_optimizer_recommender"

workspace_token
string
required

The token for the Workspace the Recommendation is a part of.

provider
string
required

The provider the Recommendation is for.

provider_account_id
string | null
required

The account ID of the provider. For Azure, this is the subscription ID.

description
string
required
documentation_url
string | null
required

A URL to related documentation if available.

Example:

"https://handbook.vantage.sh/aws/services/s3-pricing/#intelligent-tiering"

potential_savings
string | null
required

The monthly potential savings of the Recommendation, converted to the organization's selected currency.

Example:

"100.00"

service
string
required

The service the Recommendation is for.

Example:

"Amazon EC2"

created_at
string
required

The date and time, in UTC, the Recommendation was created. ISO 8601 Formatted.

resources_affected_count
integer<int32>
required

The number of ProviderResources related to the Recommendation. Use the recommendations/:token/resources endpoint to get the full list of resources.

currency_code
string | null

The currency code used by the Workspace to which this Recommendation belongs.

Example:

"EUR"

currency_symbol
string | null

The currency symbol used by the Workspace to which this Recommendation belongs.

Example:

"EUR"